/**
 * 
 */
package de.mpiwg.itgroup.annotations.restlet.annotations_ui;

import org.apache.log4j.Logger;
import org.restlet.Context;
import org.restlet.Restlet;
import org.restlet.routing.Router;

import de.mpiwg.itgroup.annotations.restlet.BaseRestlet;

/**
 * @author casties
 * 
 */
public class AnnotationsUiRestlet extends BaseRestlet {

    public final String version = "AnnotationManagerN4J/AnnotationStore 0.1";

    public static Logger logger = Logger.getLogger(AnnotationsUiRestlet.class);

    public AnnotationsUiRestlet(Context context) {
        super(context);
        logger.debug("StoreRestlet!");
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.restlet.Application#createInboundRoot()
     */
    @Override
    public Restlet createInboundRoot() {
        // this.authenticator = createAuthenticator();

        Router router = new Router(getContext());

        router.attach("/groups", GroupsResource.class);
        router.attach("/groups/", GroupsResource.class);
        router.attach("/groups/{id}", GroupResource.class);
        router.attach("/groups/{id}/", GroupResource.class);
        router.attach("/groups/{id}/members", GroupMembersResource.class);
              
        router.attach("/", InfoResource.class);
        // authenticator.setNext(router);
        // return authenticator;

        return router;
    }

    
    @Override
    public String getVersion() {
        return version;
    }

}
